Enable Payment Methods
curl --request PUT \
--url https://api.sandbox.tesouro.com/finops/v1/entities/{entity_id}/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--data '
{
"payment_methods": [],
"payment_methods_receive": [],
"payment_methods_send": []
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/entities/{entity_id}/payment-methods"
payload = {
"payment_methods": [],
"payment_methods_receive": [],
"payment_methods_send": []
}
headers = {
"x-finops-version": "<x-finops-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-finops-version': '<x-finops-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({payment_methods: [], payment_methods_receive: [], payment_methods_send: []})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/entities/{entity_id}/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Payment methods
Enable Payment Methods
Set which payment methods should be enabled.
PUT
/
finops
/
v1
/
entities
/
{entity_id}
/
payment-methods
Enable Payment Methods
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Deprecated. Use payment_methods_receive instead.
Minimum array length:
1Available options:
sepa_credit, us_ach, blik, card, bacs_direct_debit, bancontact, eps, giropay, ideal, p24, sepa_debit, sofort, applepay, googlepay, affirm, klarna Enable payment methods to receive money.
Minimum array length:
1Available options:
sepa_credit, us_ach, blik, card, bacs_direct_debit, bancontact, eps, giropay, ideal, p24, sepa_debit, sofort, applepay, googlepay, affirm, klarna Enable payment methods to send money.
Minimum array length:
1Available options:
sepa_credit, us_ach, blik, card, bacs_direct_debit, bancontact, eps, giropay, ideal, p24, sepa_debit, sofort, applepay, googlepay, affirm, klarna Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I